### Function

# Gdk keyval_from_name

since: 4.0

#### Declaration [src]

    guint
    gdk_keyval_from_name (
      const char* keyval_name
    )

#### Description [src]

Converts a key name to a key value.

The names are the same as those in the `gdk/gdkkeysyms.h` header file but without the leading “GDK_KEY_”.

Available since: 4.0

#### Parameters

`keyval_name`

  Type: `const char*`

  A key name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

The corresponding key value, or %GDK_KEY_VoidSymbol if the key name is not a valid key.